pydo.images.update()
Generated on 4 Jun 2026
from pydo version
v0.35.0
Usage
client.images.update(
image_id=62137902,
body={
"name": "Nifty New Snapshot",
"distribution": "Ubuntu",
"description": " ",
},
)Description
To update an image, send a PUT request to /v2/images/{image_id}.
Set the name attribute to the new value you would like to use.
For custom images, the description and distribution attributes may also be updated.
Parameters
image_idinteger requiredA unique number that can be used to identify and reference a specific image.
namestring optionalExample:
Nifty New SnapshotThe display name that has been given to an image. This is what is shown in the control panel and is generally a descriptive title for the image in question.
distributionstring optionalThe name of a custom image's distribution. Currently, the valid values are
Arch Linux,CentOS,CoreOS,Debian,Fedora,Fedora Atomic,FreeBSD,Gentoo,openSUSE,RancherOS,Rocky Linux,Ubuntu, andUnknown. Any other value will be accepted but ignored, andUnknownwill be used in its place.descriptionstring optionalAn optional free-form text field to describe an image.
Request Sample
Response Example
More Information
See /v2/images/{image_id} in the API reference for additional detail on responses, headers, parameters, and more.